Qt 5.8 | Qt 3D | C++ Classes | QPaintedTextureImage

Qt 5.8.0 Reference Documentation

# QPaintedTextureImage Class

(Qt3DRender::QPaintedTextureImage)

Inherits: | Qt3DRender::QAbstractTextureImage

- List of all members, including inherited members

## Properties

- height : int
- size : QSize
- width : int

- 3 properties inherited from Qt3DRender::QAbstractTextureImage
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QPaintedTextureImage(Qt3DCore::QNode *parent = nullptr)
| ~QPaintedTextureImage()
int | height() const
QSize | size() const
void | update(const QRect &rect = QRect())
int | width() const

- 3 public functions inherited from Qt3DRender::QAbstractTextureImage
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setHeight(int h)
void | setSize(QSize size)
void | setWidth(int w)

- 3 public slots inherited from Qt3DRender::QAbstractTextureImage
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | heightChanged(int w)
void | sizeChanged(QSize size)
void | widthChanged(int w)

- 3 signals inherited from Qt3DRender::QAbstractTextureImage
- 3 signals inherited from Qt3DCore::QNode

## Protected Functions

virtual void | paint(QPainter *painter) = 0

- 2 protected functions inherited from Qt3DRender::QAbstractTextureImage
- 2 protected functions inherited from Qt3DCore::QNode

## Property Documentation

### height : int

Access functions:

int | height() const
void | setHeight(int h)

Notifier signal:

void | heightChanged(int w)

### size : QSize

Access functions:

QSize | size() const
void | setSize(QSize size)

Notifier signal:

void | sizeChanged(QSize size)

### width : int

Access functions:

int | width() const
void | setWidth(int w)

Notifier signal:

void | widthChanged(int w)

## Member Function Documentation

### QPaintedTextureImage::QPaintedTextureImage(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QPaintedTextureImage.

### QPaintedTextureImage::~QPaintedTextureImage()

Destroys the instance of QPaintedTextureImage.

### `[pure virtual protected]` void QPaintedTextureImage::paint(QPainter *painter)

### void QPaintedTextureImage::update(const QRect &rect = QRect())